`print.para.genoCN` <-
function(x, digits=3, ...)
{
  if(x$CNA){
    cat("\nParameters for CNA studies\n\n")   
  }else{
    cat("\nParameters for CNV studies\n\n")   
  }
  
  for(i in 1:length(x)){
  
    if(is.character(x[[i]])){
      cat("------------------------------------------\n")
      cat(names(x)[i], ": ", sep="")
      cat(x[[i]], "\n")
    }else if(is.vector(x[[i]])){
      cat("------------------------------------------\n")
      cat(names(x)[i], ": ", sep="")
      cat(round(x[[i]], digits), "\n")
    }else{
      cat("------------------------------------------\n")
      cat(names(x)[i], ":\n", sep="")
      print(round(x[[i]], digits))
    }
  }
  
  
  cat("------------------------------------------\n")
}
